// *************
// sky
// tig_sky1_detail.tga is modifyied from the S3/diamond maps 
// - all credit to dmm for it (www.diamondmm.com)
// 

textures/tig_out/tig_sky1

{
	qer_editorimage textures/tig_out/tig_sky1
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 1 1 .77 80 315 70

	q3map_surfacelight 130
	skyparms - 384 -
	{
		map textures/tig_out/tig_sky1_fog.jpg
		tcMod scroll 0.03 0.05
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/tig_out/tig_sky1_detail.jpg
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.0025 0.003
		tcMod scale 3 2
	}
}


// ************
// water

textures/tig_out/tig_pool2
	{
		qer_editorimage textures/liquids/pool3d_4b2
		qer_trans .5

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		surfaceparm nomarks

		q3map_globaltexture

		cull disable
		tesssize 128
		deformVertexes wave 64 sin 0.25 0.25 0 .5
		{ 
			map textures/liquids/pool3d_6c2.tga
			blendFunc GL_DST_COLOR GL_ZERO
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 .001
			tcMod turb 0 .05 0 .05	
		}
		{
			map textures/liquids/pool3d_4b2.tga
			blendfunc add
			rgbgen identity
			tcmod scale .125 .125	
			tcmod scroll -.005 .015
		}
	}

textures/tig_out/tig_clangfloor
{
	qer_editorimage textures/base_floor/clang_floor2.tga
	surfaceparm	metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_floor/clang_floor2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/tig_out/tig_clangFloor3
{
	qer_editorimage textures/tig_out/tig_atech1Floor.tga
	surfaceparm	metalsteps
        {
		map textures/sfx/hologirl.tga
                tcmod scale 2 .4
                tcmod scroll 6 .6
                //tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/tig_out/tig_atech1Floor.tga
                blendfunc blend
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/tig_out/tig_weapclip_metal
{
	qer_trans 0.40
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/tig_out/tig_bounce
{
	qer_editorimage textures/sfx/bouncepad01_xarch.tga
	q3map_lightimage textures/sfx/portal_sfx1.tga
	q3map_surfacelight 300
	surfaceparm nodamage
	cull none
	{
		map textures/sfx/bouncepad01_xarch.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		clampmap textures/sfx/console01.tga
        	tcMod rotate 40
		blendFunc GL_ONE GL_ONE
	}
        {
		clampmap textures/sfx/console02.tga
        	tcMod rotate -300
		blendFunc GL_ONE GL_ONE
	}
}

textures/tig_out/tig_red_strgg
{
     	cull disable
     	surfaceparm alphashadow
     	surfaceparm trans	
     	surfaceparm nomarks
	tessSize 64
		
     	deformVertexes wave 30 sin 0 1 0 0.3

        {
                map textures/tig_out/tig_red_strgg.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}

}

textures/tig_out/tig_launch_green
{
	qer_editorimage textures/tig_out/tig_launch.tga
	{
		map $lightmap
		rgbGen identity
	}
	{ 
		map textures/tig_out/tig_launch.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{	
		map textures/tig_out/tig_launch_sfx2.tga
		blendfunc gl_one gl_one	
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{ 
		animmap 4 textures/tig_out/tig_launch_0.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}

}
